/*
 * Project: ironvas
 * Package: de.fhhannover.inform.trust.ironvas
 * File:    VulnerabilityFilter.java
 *
 * Copyright (C) 2011-2012 Hochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.trust.ironvas;

/**
 * A {@link VulnerabilityFilter} is used to restrict some {@link Vulnerability}
 * object from further processing in ironvas.
 *
 * @author Ralf Steuerwald
 *
 */
public interface VulnerabilityFilter {

    /**
     * Returns <code>false</code> when the given {@link Vulnerability} should
     * be discarded and <code>true</code> if the {@link Vulnerability} should
     * pass.
     *
     * @param v
     * @return
     */
    public boolean filter(Vulnerability v);

}
